%define name	hotwire
%define	version	0.599
%define	release	%mkrel 1

Name:		%{name}
Summary:	Hybrid text/graphical shell for developers and sysadmins
Version:	%{version} 
Release:	%{release} 
Epoch:		1
Source0:	http://hotwire-shell.googlecode.com/files/%{name}-%{version}.zip
URL:		http://hotwire-shell.org
Group:		Terminals
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL+
BuildArch:	noarch

BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python-vte 
Requires:	dbus-python 
Requires:	gnome-python-gnomevfs

%description
Hotwire is a shell replacement for gnome-terminal/xterm + sh + ssh for 
developers and system administrators. Hotwire is somewhat like Windows 
PowerShell, but graphical, and also a little like MacOS X Automator, 
but text based.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/24x24/apps/%{name}.png
%{py_puresitedir}/%{name}
%{py_puresitedir}/%{name}_ui
%{py_puresitedir}/%{name}-%{version}-py%pyver.egg-info


%changelog
* Mon Oct 29 2007 Adam Williamson <awilliamson@mandriva.com> 0.599-1mdv2007.1
+ Revision: 103637
- remove several workarounds for things that have been resolved upstream
- new release 0.599
- new license policy
- new release 0.595

* Wed Jul 11 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.590-1mdv2008.0
+ Revision: 51370
- package icon
- new release 0.590

* Thu Jun 21 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.567-1mdv2008.0
+ Revision: 41960
- new release 0.567; update URL; add python-gnomevfs require

* Mon Jun 11 2007 Olivier Blin <oblin@mandriva.com> 1:0.556-3mdv2008.0
+ Revision: 38033
- update URL

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.556-2mdv2008.0
+ Revision: 37530
- requires dbus-python (thanks spuk)

* Thu Jun 07 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.556-1mdv2008.0
+ Revision: 36784
- 0.556

* Wed May 23 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.450-1mdv2008.0
+ Revision: 30321
- new release 0.450

* Mon May 21 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.444-1mdv2008.0
+ Revision: 29029
- 0.444

* Wed May 16 2007 Adam Williamson <awilliamson@mandriva.com> 1:0.34-1mdv2008.0
+ Revision: 27147
- use epoch 1 (0.333 is higher than 0.34)
- new version
- use %%pyver, do not hardcode 2.5

* Tue May 08 2007 Adam Williamson <awilliamson@mandriva.com> 0.333-1mdv2008.0
+ Revision: 24975
- BuildRequires desktop-file-utils
- BuildRequires python-devel
- BuildRequires python
- Import hotwire

